import java.text.*;
import java.util.*;

class Model 
{
	private final int MAX = 10;
	private DisplayDatabase displayDatabase;
	private Employee[] emp = new Employee[MAX];
	private StringTokenizer tok;
	private int count = 0;

	public void insertRecord(String empRecord)
	{
		String lName, fName, doj, sal;
		int salary;
		Date date_Of_Joining = null;
		tok = new StringTokenizer(empRecord, "|");
		lName = tok.nextToken();
		fName = tok.nextToken();
		doj = tok.nextToken();
		sal = tok.nextToken();

		/* Why is a try() catch block is used? What does it do?
		 */
		try
            {
					/* TypeCasting: ( doj to date_Of_Joining )
					  * Converting the date_of_joining string to Data type
					  */
				date_Of_Joining =DateFormat.getDateInstance(DateFormat.SHORT).parse(doj);
            }
            catch (Exception e)
            {
				System.out.println("Use the format dd/mm/yy");
            }
		/*Converting String to integer */
		salary = Integer.parseInt(sal);
		System.out.println("-->Model: " + lName + fName + date_Of_Joining.toString() + sal);
		emp[count] = new Employee(lName,fName,date_Of_Joining,salary);
		count++;
	}
	
	 public void displayRecords()
	{
			new DisplayDatabase(emp);
	}
}
