import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

class  MyView extends JFrame
{
	private Container c;
	private JLabel lblPrompt = new JLabel("Enter employee details");
	private JTextField txtField = new JTextField();
	private JLabel lblSyntax = new JLabel("Syntax:  LastName|FirstName|mm/dd/yyyy|Salary");
	private InsertButton insertButton = new InsertButton("Insert", this);
	private ExitButton exitButton = new ExitButton("Exit");
	private DisplayButton displayButton = new DisplayButton("Display Records", this);
	private Model model;

	public MyView(Model m)
	{
		super("Employee Database");
		model = m;
		c = getContentPane();
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		c.setBackground(Color.white);
		c.setLayout(null);
		setSize(420,200);

		lblPrompt.setBounds(10, 10, 180, 25);
		lblPrompt.setBackground(Color.white);
	
		txtField.setBounds(150,10,250,25);
		txtField.setBackground(Color.white);

		lblSyntax.setBounds(30,50,300,25);

		insertButton.setBounds(10,100,80,25);
		displayButton.setBounds(100,100,130,25);
		exitButton.setBounds(240,100,80,25);
		
		c.add(lblPrompt);
		c.add(txtField);
		c.add(lblSyntax);
		c.add(insertButton);
		c.add(displayButton);
		c.add(exitButton);
		setVisible(true);	
	}

	public void insertRecord()
	{
		model.insertRecord(txtField.getText());
		System.out.println("The Emp Rec is :" + txtField.getText());
		txtField.setText("");
	}

	public void displayRecords()
	{
		model.displayRecords();
	}
}
